Data Fields
acc_detector_presence_result_t Struct Reference
Presence Detector

Presence detector results container. More...

`#include <acc_detector_presence.h>`

## Data Fields
bool | presence_detected
float | intra_presence_score
float | inter_presence_score
float | presence_distance
float * | depthwise_intra_presence_scores
float * | depthwise_inter_presence_scores
uint32_t | depthwise_presence_scores_length
acc_processing_result_t | processing_result

## Detailed Description

Presence detector results container.

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, and example_detector_presence_multiple_configurations.c.

Definition at line 50 of file acc_detector_presence.h.

## Field Documentation

## ◆ depthwise_inter_presence_scores

float* acc_detector_presence_result_t::depthwise_inter_presence_scores

An array of measures of the amount of slow motion detected per distance point. This will point to memory in the buffer supplied to acc_detector_presence_process

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 77 of file acc_detector_presence.h.

## ◆ depthwise_intra_presence_scores

float* acc_detector_presence_result_t::depthwise_intra_presence_scores

An array of measures of the amount of fast motion detected per distance point. This will point to memory in the buffer supplied to acc_detector_presence_process

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 72 of file acc_detector_presence.h.

## ◆ depthwise_presence_scores_length

uint32_t acc_detector_presence_result_t::depthwise_presence_scores_length

The number of elements in the depthwise presence scores arrays

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 81 of file acc_detector_presence.h.

## ◆ inter_presence_score

float acc_detector_presence_result_t::inter_presence_score

A measure of the amount of slow motion detected

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, and example_detector_presence_multiple_configurations.c.

Definition at line 63 of file acc_detector_presence.h.

## ◆ intra_presence_score

float acc_detector_presence_result_t::intra_presence_score

A measure of the amount of fast motion detected

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, and example_detector_presence_multiple_configurations.c.

Definition at line 59 of file acc_detector_presence.h.

## ◆ presence_detected

bool acc_detector_presence_result_t::presence_detected

true if presence was detected, false otherwise

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, and example_detector_presence_multiple_configurations.c.

Definition at line 55 of file acc_detector_presence.h.

## ◆ presence_distance

float acc_detector_presence_result_t::presence_distance

The distance, in meters, to the detected object

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, and example_detector_presence_multiple_configurations.c.

Definition at line 67 of file acc_detector_presence.h.

## ◆ processing_result

acc_processing_result_t acc_detector_presence_result_t::processing_result

Radar data that the presence detection is based on. This will point to memory in the buffer supplied to acc_detector_presence_process

Examples
  example_detector_presence.c.

Definition at line 86 of file acc_detector_presence.h.

The documentation for this struct was generated from the following file:

- Inc/acc_detector_presence.h